about summary refs log tree commit diff
path: root/qemu_taint/build_qemu_taint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qemu_taint/build_qemu_taint.sh')
-rwxr-xr-xqemu_taint/build_qemu_taint.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/qemu_taint/build_qemu_taint.sh b/qemu_taint/build_qemu_taint.sh
new file mode 100755
index 00000000..b54c3e04
--- /dev/null
+++ b/qemu_taint/build_qemu_taint.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+test -d qemu ||  git clone https://github.com/vanhauser-thc/qemu_taint qemu || exit 1
+cd qemu || exit 1
+test -d .git && { git stash ; git pull ; }
+cp -fv ../../include/config.h ../../include/types.h . || exit 1
+./build.sh || exit 1
+cp -fv ./afl-qemu-taint ../..